{"openapi":"3.0.0","info":{"title":"123MotosB2B","description":"","version":"1.0.0"},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/123seguro/123MotosB2B/1.0.0"},{"url":"https://apigw-ci.123seguro.com/api/ar/motos","description":"Servidor de Test"}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"localidades":{"type":"array","items":{"properties":{"id":{"type":"integer","example":19161},"nombre":{"type":"string","example":"PALERMO"},"cp":{"type":"integer","example":1414}}}},"lead":{"type":"object","properties":{"canal":{"type":"number","example":185},"usuario":{"type":"object","properties":{"nombre":{"type":"string","example":"Test"},"apellido":{"type":"string","example":"Api"},"edad":{"type":"integer","example":39},"telefono":{"type":"string","example":"01144527782"},"mail":{"type":"string","example":"heroapi@test.com"}}},"domicilio":{"type":"object","properties":{"localidad_id":{"type":"integer","example":19161}}},"moto":{"type":"object","properties":{"anio":{"type":"integer","example":2014},"infomoto":{"type":"integer","example":9610004}}},"cotizacion":{"type":"object","properties":{"cobertura_interna_id":{"type":"integer","example":419},"transaction_id":{"type":"string","example":"1543328492"},"premio":{"type":"number","example":158.0},"ajuste":{"type":"number","example":0.0},"suma":{"type":"number","example":22000}}}}},"cotizaciones":{"type":"object","properties":{"mapfre":{"type":"object","properties":{"coberturas":{"type":"array","items":{"properties":{"cobertura_id":{"type":"integer","example":339},"cobertura":{"type":"string","example":"Responsabilidad Civil"},"premio":{"type":"number","example":180},"ajuste":{"type":"string","example":"15%"}}}},"status":{"type":"integer","example":200},"cuotas":{"type":"integer","example":12},"suma":{"type":"number","example":23000},"transaction_id":{"type":"string","example":"7SAY121889A"}}},"atm":{"type":"object","properties":{"coberturas":{"type":"array","items":{"properties":{"cobertura_id":{"type":"integer","example":339},"cobertura":{"type":"string","example":"Responsabilidad Civil"},"premio":{"type":"number","example":180},"ajuste":{"type":"string","example":"15%"}}}},"status":{"type":"integer","example":200},"cuotas":{"type":"integer","example":12},"suma":{"type":"number","example":23000},"transaction_id":{"type":"string","example":"7SAY121889A"}}},"libra":{"type":"object","properties":{"coberturas":{"type":"array","items":{"properties":{"cobertura_id":{"type":"integer","example":339},"cobertura":{"type":"string","example":"Responsabilidad Civil"},"premio":{"type":"number","example":180},"ajuste":{"type":"string","example":"15%"}}}},"status":{"type":"integer","example":200},"cuotas":{"type":"integer","example":12},"suma":{"type":"number","example":23000},"transaction_id":{"type":"string","example":"7SAY121889A"}}}}}}},"security":[{"bearerAuth":[]}],"paths":{"/resources/provincias":{"get":{"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"A JSON array provincias object","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","example":1},"nombre":{"type":"string","example":"BUENOS AIRES"}}}}}}}}}},"/resources/provincias/{provincia_id}/localidades":{"get":{"security":[{"bearerAuth":[]}],"parameters":[{"in":"path","name":"provincia_id","required":true,"schema":{"type":"integer"},"description":"The ID of the provincia to return"}],"responses":{"200":{"description":"A JSON array localidades object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/localidades"}}}}}}},"/resources/provincias/{provincia_id}/localidades/cp/{cp}":{"get":{"security":[{"bearerAuth":[]}],"parameters":[{"in":"path","name":"provincia_id","required":true,"schema":{"type":"integer"},"description":"The ID of the provincia to return"},{"in":"path","name":"cp","required":true,"schema":{"type":"integer"},"description":"The cp of the localidad to return"}],"responses":{"200":{"description":"A JSON array localidades object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/localidades"}}}}}}},"/resources/store-lead":{"post":{"summary":"Add a new register","security":[{"bearerAuth":[]}],"requestBody":{"description":"POST parameters","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/lead"}}}},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"token":{"type":"string","example":"eyJpdiI6ImV5S2NrUXBsa0ZWUHEyZFRuRTBGSEE9PSIsInZhbHVlIjoiVW5NcVZcL1hMWExoY2x0aXB3ZkQ1ajNTWkdkQ3ZGNDVcLzltTzNBWXd6R0N1cGlmMXp1ZGR4Ymh1TzdoODdPQjY4IiwibWFjIjoiOGFiMDNiNjg0MWI1ZmNiMzI1M2M1MjQ4OTMzZmRkZTljNDc3MThiZGJkODBhNGMyY2IxNDliOTVlMDJmMjVhMCJ9"}}}}}}}},"201":{"description":"Created"}}}},"/cotizar":{"get":{"security":[{"bearerAuth":[]}],"parameters":[{"in":"query","name":"cp","required":true,"schema":{"type":"integer"},"description":"The CP"},{"in":"query","name":"edad","required":true,"schema":{"type":"integer"},"description":"Edad"},{"in":"query","name":"infomoto","required":true,"schema":{"type":"string"},"description":"Cod Infomoto"},{"in":"query","name":"anio","required":true,"schema":{"type":"integer"},"description":"Year of the vehicle"},{"in":"query","name":"es_0km","required":true,"schema":{"type":"integer"},"description":"1 SI 0 NO"},{"in":"query","name":"canal_id","required":true,"schema":{"type":"integer"},"description":"The canal_id"}],"responses":{"200":{"description":"A JSON array cotizacion object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cotizaciones"}}}}}}}}}